Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.validator
Class BaseFacesObjectDescriptor<T>

    java.lang.Object
      org.richfaces.validator.BaseFacesObjectDescriptor<T>

Direct Known Subclasses:
  BeanValidatorDescriptor, ConverterDescriptorImpl, FacesValidatorDescriptor

    public class BaseFacesObjectDescriptor<T>

extends Object

Constructor Summary
`BaseFacesObjectDescriptor(Class<? extends T> converterClass, javax.faces.application.FacesMessage message)`

Method Summary
`protected void` | `addParameter(String name, Object value)`
`Map<String,? extends Object>` | `getAdditionalParameters()`
`Class<?>` | `getImplementationClass()`
`org.richfaces.javascript.Message` | `getMessage()`
`protected void` | `makeImmutable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseFacesObjectDescriptor

    public BaseFacesObjectDescriptor(Class<? extends T> converterClass,
                                     javax.faces.application.FacesMessage message)

Method Detail

### getImplementationClass

    public Class<?> getImplementationClass()

### getAdditionalParameters

    public Map<String,? extends Object> getAdditionalParameters()

### getMessage

    public org.richfaces.javascript.Message getMessage()

### addParameter

    protected void addParameter(String name,
                                Object value)

### makeImmutable

    protected void makeImmutable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.